Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox and google [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 516
Location: Cape Town, South Africa

PostPosted: Sat Jun 27, 2015 10:51 pm    Post subject: Firefox and google [SOLVED] Reply with quote

Hi

Suddenly today I started having issues connecting to anything Google-related with Firefox.

The connection just hangs and eventually times out.

I did get an error popup about
Code:

The server rejected the handshake because the client downgraded to a lower TLS version than the server supports.


Which I see via Bing (yuck) that other people also had earlier this year. Seems to be a Mozzila issue and Google being nasty/pedantic/good netizen and enforcing a certain level of security.

Question is, how to fix? So many sites use libraries from Google, and that also breaks those sites.

thanks, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM


Last edited by iandoug on Sun Jun 28, 2015 6:14 pm; edited 1 time in total
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13496

PostPosted: Sun Jun 28, 2015 12:14 am    Post subject: Reply with quote

Using ESR Firefox 31.7, I can access https://www.google.com/ without error. What Firefox version are you using? In Firefox's about:config, what values do you have for security.tls.version.max and security.tls.version.min? Have you changed any TLS-related configuration preferences, or installed extensions that change them for you?
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 516
Location: Cape Town, South Africa

PostPosted: Sun Jun 28, 2015 6:13 pm    Post subject: Reply with quote

Hu wrote:
Using ESR Firefox 31.7, I can access https://www.google.com/ without error. What Firefox version are you using? In Firefox's about:config, what values do you have for security.tls.version.max and security.tls.version.min? Have you changed any TLS-related configuration preferences, or installed extensions that change them for you?


Also on 31.7.0. It seems to have sorted itself out today (was offline the whole day), so I will mark as solved. I did check in about:config for anything odd, but didn't see anything, nor do I remember ever changing any SSL-related things, although there were a few in bold. It may be been some transient ISP/undersea cable issue.

thanks, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum